# dcop Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# Test Class Reference

This is a stupid comment that might help geiseri at some point in the near future. More...

`#include <dcopidl_test.h>`

Inheritance diagram for Test:

[legend]
Collaboration diagram for Test:

[legend]
List of all members.

## Public Types

enum | { Enum1, Enum2 }
enum | NamedEnum { Enum3, Enum4 }

## DCOP Member Functions

virtual QString | url ()
virtual QString | constTest () const
virtual DCOPRef | firstView ()
virtual DCOPRef | nextView ()
virtual int | getNumObjects ()
virtual DCOPRef | getObject (int num)
virtual int | getNumPages ()
virtual DCOPRef | getPage (int num)
int | getPageOfObj (int obj)
void | setCell (const int &point=3)
QValueList< DCOPRef > | getWindows ()

## Public Member Functions

int | getPageOfObj (int obj)
void | setCell (KSpreadTable *table, const QPoint &point)

## Public Attributes

SomeForwardFooPrivate * | d
k_dcop_signals | __pad0__: void blah_signal()

## Static Public Attributes

static const int | AUDIO_CD = 1

## Detailed Description

This is a stupid comment that might help geiseri at some point in the near future.

blah di blah

Definition at line 33 of file dcopidl_test.h.

## Member Function Documentation

int Test::getPageOfObj | ( | int | obj | ) |

a function comment

See also:
  blah di blah also

The documentation for this class was generated from the following file:

- dcopidl_test.h

This file is part of the documentation for dcop Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:17:00 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003